import { StateField } from '@codemirror/state';
import { DecorationSet } from '@codemirror/view';
/**
 * Representation of the data held by the image URL state field.
 */
export interface ImageURLInfo {
    /**
     * The source of the image.
     */
    src: string;
    /**
     * The starting position of the image element in the document.
     */
    from: number;
    /**
     * The end position of the image element in the document.
     */
    to: number;
    /**
     * The alt text of the image.
     */
    alt: string;
}
export declare const imageURLStateField: StateField<DecorationSet>;
